VisualEditor: [Regression] Link inspector prevents insertion of section links
Closed, ResolvedPublic

Description

VE link insertion dialog when attempting to add a section link

Since the latest update it is impossible to create links to specific sections of a page in VisualEditor: As soon as you enter the # character the link insertion dialog gives an "Invalid title" error. See screenshot attached and bug 50881 comment 11.

I've reported this separately to bug 50881 as that is an enhancement to give proper handling of section links, but this is a regression that blocks all use of links to sections.


Version: unspecified
Severity: critical

Attached:

bzimport set Reference to bz53219.
Thryduulf created this task.Via LegacyAug 22 2013, 4:25 PM
Qgil added a comment.Via ConduitAug 22 2013, 4:56 PM

Ah, good that someone already reported. Confirmed in mediawiki.org.

gerritbot added a comment.Via ConduitAug 22 2013, 6:27 PM

Change 80417 had a related patch set uploaded by Esanders:
Modify regex to allow section links as valid titles

https://gerrit.wikimedia.org/r/80417

gerritbot added a comment.Via ConduitAug 22 2013, 9:21 PM

Change 80417 merged by jenkins-bot:
Modify regex to allow section links as valid titles

https://gerrit.wikimedia.org/r/80417

Jdforrester-WMF added a comment.Via ConduitAug 22 2013, 9:23 PM

This is now fixed in master; we'll cherry-pick it and push live this afternoon. Sorry for the problem.

gerritbot added a comment.Via ConduitAug 22 2013, 10:38 PM

Change 80505 had a related patch set uploaded by Jforrester:
Modify regex to allow section links as valid titles

https://gerrit.wikimedia.org/r/80505

gerritbot added a comment.Via ConduitAug 22 2013, 10:40 PM

Change 80507 had a related patch set uploaded by Jforrester:
Modify regex to allow section links as valid titles

https://gerrit.wikimedia.org/r/80507

gerritbot added a comment.Via ConduitAug 22 2013, 10:55 PM

Change 80505 merged by Catrope:
Modify regex to allow section links as valid titles

https://gerrit.wikimedia.org/r/80505

gerritbot added a comment.Via ConduitAug 22 2013, 10:56 PM

Change 80507 merged by Catrope:
Modify regex to allow section links as valid titles

https://gerrit.wikimedia.org/r/80507

Jdforrester-WMF added a comment.Via ConduitAug 22 2013, 11:17 PM

… and now deployed.

Elitre added a comment.Via ConduitFeb 11 2014, 4:45 PM

Unless I'm missing something obvious, I can't make this work anymore on it.wp or Mediawiki. It will just ignore the #name_of_the_section if I add it to an existing wikilink and therefore, it will not recognize the link as edited and the Save button will stay greyed out.

Jdforrester-WMF added a comment.Via ConduitFeb 11 2014, 5:12 PM

(In reply to comment #10)

Unless I'm missing something obvious, I can't make this work anymore on it.wp
or Mediawiki. It will just ignore the #name_of_the_section if I add it to an
existing wikilink and therefore, it will not recognize the link as edited and
the Save button will stay greyed out.

Split that issue into bug 61221.

gerritbot added a comment.Via ConduitFeb 12 2014, 3:27 PM

Change 112898 had a related patch set uploaded by Esanders:
Include fragments in normalizedTitle

https://gerrit.wikimedia.org/r/112898

gerritbot added a comment.Via ConduitFeb 12 2014, 6:32 PM

Change 112898 merged by jenkins-bot:
Include fragments in normalizedTitle

https://gerrit.wikimedia.org/r/112898

Add Comment